/*
  wiflash_pins.h

  Copyright (c) 2021 Kevin Matz (kevin.matz@gmail.com)

  Permission is hereby granted, free of charge, to any person obtaining a copy
  of this software and associated documentation files (the "Software"), to deal
  in the Software without restriction, including without limitation the rights
  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software, and to permit persons to whom the Software is
  furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in all
  copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  SOFTWARE.
*/
#pragma once

#include <Arduino.h>
#include <cstdint>

/*
  Hazzah32 battery connected to A13
*/
const uint8_t pin_battery_sense = A13;

/*
  If this pin is tied LOW at setup(), settings will be defaulted
*/
const uint8_t pin_reset_button = A1;   // tie A1 to ground to reset preferances

/*
  Attach this pin to an LED for a heartbeat indicator.
*/
const uint8_t pin_heartbeat_led = LED_BUILTIN;

/*
  Default pinout of optional light fixtures
*/
const uint8_t pin_default_strobe = 14;
const uint8_t pin_default_strip  = 21;
